Bug 217461

Summary: REGRESSION (r268138): [ iOS Mojave+ ] imported/w3c/web-platform-tests/css/css-masking/clip-path/svg-clipPath.svg is missing expected results
Product: WebKit Reporter: Karl Rackler <rackler>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: koivisto, noam, webkit-bot-watchers-bugzilla, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch for landing none

Description Karl Rackler 2020-10-07 18:17:53 PDT
Description:
imported/w3c/web-platform-tests/css/css-masking/clip-path/svg-clipPath.svg

The first test warning that I see this on the dashboard was 10/07/20 at r268142, but is not relevant to what would have caused this.

The test has no expected results as part of a import of all clip-path WPTs at r268138.
Layout test results suggest that diff is showing actual.txt.

REPRODUCTION STEPS
Command: 
 run-webkit-tests imported/w3c/web-platform-tests/css/css-masking/clip-path/svg-clipPath.svg

Result: 
Regressions: Unexpected missing results (1)
  imported/w3c/web-platform-tests/css/css-masking/clip-path/svg-clipPath.svg [ Missing ]

History:
https://results.webkit.org/?suite=layout-tests&test=imported%2Fw3c%2Fweb-platform-tests%2Fcss%2Fcss-masking%2Fclip-path%2Fsvg-clipPath.svg&platform=ios&platform=mac&limit=50000

Diff Log:
https://build.webkit.org/results/Apple-Catalina-Release-WK1-Tests/r268161%20(9689)/imported/w3c/web-platform-tests/css/css-masking/clip-path/svg-clipPath-actual.txt

Layout Test Results:
https://build.webkit.org/results/Apple-Catalina-Release-WK1-Tests/r268161%20(9689)/results.html
Comment 1 Radar WebKit Bug Importer 2020-10-07 18:21:12 PDT
<rdar://problem/70074200>
Comment 2 Karl Rackler 2020-10-07 18:36:57 PDT
I have marked this test as skip while this issue is investigated.
https://trac.webkit.org/changeset/268166/webkit
Comment 3 Noam Rosenthal 2020-10-08 03:56:47 PDT
Created attachment 410827 [details]
Patch for landing
Comment 4 EWS 2020-10-08 06:23:18 PDT
Committed r268180: <https://trac.webkit.org/changeset/268180>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 410827 [details].